package com.agri.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableName;
import com.agri.common.annotation.Excel;
import com.agri.common.core.domain.BaseEntity;

/**
 * 卷膜运行条件对象 sys_auto_term
 * 
 * @author lld
 * @date 2026-02-27
 */
@TableName("sys_auto_term")
public class SysAutoTerm extends BaseEntity
{
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    @TableId(type = IdType.ASSIGN_ID)
    @JsonSerialize(using = ToStringSerializer.class)
    private String id;

    /** imei */
    @Excel(name = "imei")
    private String imei;

    /** 卷膜标识 */
    @Excel(name = "卷膜标识")
    private String roller;

    /** 运行时间始 */
    @JsonFormat(pattern = "HH:mm",timezone = "GMT+8")
    @Excel(name = "运行时间始", width = 30)
    private Date startTime;

    /** 运行时间止 */
    @JsonFormat(pattern = "HH:mm",timezone = "GMT+8")
    @Excel(name = "运行时间止", width = 30)
    private Date endTime;

    /** 适宜温度 */
    @Excel(name = "适宜温度")
    private BigDecimal temp;

    /** 开启风口大小(米) */
    @Excel(name = "开启风口大小(米)")
    private Long vent;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public void setImei(String imei) 
    {
        this.imei = imei;
    }

    public String getImei() 
    {
        return imei;
    }

    public void setRoller(String roller) 
    {
        this.roller = roller;
    }

    public String getRoller() 
    {
        return roller;
    }

    public void setStartTime(Date startTime) 
    {
        this.startTime = startTime;
    }

    public Date getStartTime() 
    {
        return startTime;
    }

    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }

    public void setTemp(BigDecimal temp) 
    {
        this.temp = temp;
    }

    public BigDecimal getTemp() 
    {
        return temp;
    }

    public void setVent(Long vent) 
    {
        this.vent = vent;
    }

    public Long getVent() 
    {
        return vent;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("imei", getImei())
            .append("roller", getRoller())
            .append("startTime", getStartTime())
            .append("endTime", getEndTime())
            .append("temp", getTemp())
            .append("vent", getVent())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
